cmake_minimum_required(VERSION 3.16)

project(transmc LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)

if (MSVC)
    add_definitions(-D_WIN32_WINNT=0x0601)
    add_compile_options(/source-charset:utf-8)
endif()

add_executable(transmc main.cpp client.h client.cpp)
target_link_libraries(transmc PRIVATE trans_net trans_util)